﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;

<table style="width:100%;">
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Vendor Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPVendorCode";
                    gridLookup.Width = 170;
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PurchaseReport", Action = "PartialHeaderVendorLookupGrid" };
                    gridLookup.ReadOnly = true;
                    if (Model.GetModel<List<SupplierICS>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_CD";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Vendor<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Vendor<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
        <td style="width:230px;"></td>
        <td style="width:230px;"></td>
        <td style="width:50px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Period:";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:40px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "From";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:110px;">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPPeriodeFromDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = 110;
                    edtSettings.Date = DateTime.Now.AddMonths(-1);
                }).GetHtml()
        </td>
        <td style="width:40px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "To";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="width:110px;">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "OIPPeriodeToDate";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = 110;
                    edtSettings.Date = DateTime.Now;
                }).GetHtml()
        </td>
        <td style="width:260px;"></td>
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Vendor Name";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPVendorName";
                    gridLookup.Width = 170;
                    gridLookup.GridProperties.KeyFieldName = "SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PurchaseReport", Action = "PartialHeaderVendorLookupGrid2" };
                    gridLookup.ReadOnly = true;
                    if (Model.GetModel<List<SupplierICS>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_CD";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Vendor<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Vendor<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
        <td style="width:230px;"></td>
        <td style="width:230px;"></td>
        <td style="width:50px;"></td>
        <td style="width:40px;"></td>
        <td style="width:110px;"></td>
        <td style="width:40px;"></td>
        <td style="width:110px;"></td>
        <td style="width:260px;"></td>
    </tr>
</table>

<table width="100%">
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPDownload";
                    edtSetting.Text = "Download";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OIPDownloadClick";
                    edtSetting.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
        <td style="width:1200px;"></td>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPSearchButton";
                    edtSetting.Text = "Search";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPSearchButtonClick";
                }
            ).GetHtml()
        </td>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPClearButton";
                    edtSetting.Text = "Clear";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPClearButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
</table>